Bug 4658 - ppp write: warning: Input/output error (5)
ppp write: warning: Input/output error (5)
Product: Red Hat Linux
Classification: Retired
Component: ppp (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
Depends On:
  Show dependency treegraph
Reported: 1999-08-22 23:25 EDT by Henri J. Schlereth
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-11-18 18:50:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Henri J. Schlereth 1999-08-22 23:25:29 EDT
I believe this may be a repeat of a previous bug as I have
seen references to this before.
On a hang-up and re-dial with a chat script pppd generates
the following error after the connection passes thru and
before it can hand of the IP address.

write: warning: Input/output error (5)

This results in a re-boot for to clear it up. (barring any
other method available). I have killed the process, reset
the modem, stopped restarted ppp blah blah.

current experimenting with rawhide ppp to see
if that fixes problem and oh yes that beast can't seem
to find char-major-108.
Comment 1 Michael K. Johnson 1999-09-20 12:34:59 EDT
pppd has nothing to do with being able to find char-major-108 --
that's a kernel module.  If the message annoys you, you can
add the line
alias char-major-108 off
and the message will go away.

There will be a ppp-2.3.10 in the next RawHide/Lorax trees that
you can also try.

Does the problem you are referring to happen every time, or only
some of the time, on a hang up and redial?

------- Additional Comments From   09/20/99 15:17 -------
char-major-108 refers to ppp_generic which indeed may be a kernel
issue but if so it came from pppd not liking a stock kernel. I hadn't
recompiled yet.

 Of interest to note is that I recently wiped the
server and started over with (RH6.0) and this error doesnt occur. The
alias off command was used by me prior to that.

The modem hangup error happened about roughly once a week but not
under RH5.2. I have a few ideas but they are hard to prove.

1.) One of the ISP routers has a different ppp connect method that
creates this problem. (counter-example is that I used to be able
to connect to a friends ISP but now my chat scripts fail with
a modem write error every time. (his ISP is texas.net).

2.) I also am about ready to try pppd-2.3.10.

3.) In closing I am confused, I have done this for a while and
the errors are puzzling. I can cross test on my W95 box and I hate
to say I dont get the error. But, that isnt really an acceptable
answer, it just means W95 is just too stupid to break. Another
possiblility is that the upgrade method is still abit unclean and
it leaves something left over that causes this problem. Dont like that
much either but... I must consider all options when trouble-shooting.

So if the wipe re-install if that fixes the problem is cheesy but
works, but is not a good enough solution, that's just too Microsoftie
for my taste.

Comment 2 Michael K. Johnson 1999-11-06 14:38:59 EST
The char-major-108 message is just because the new pppd supports
a new PPP architecture that started up in the 2.3 kernels, so this
pppd will be ready for folks who wish to upgrade their kernels.

It's a *really* long shot, but please try
and see if it fixes the problem.  The chances are really
very, very slim, but it might be another manifestation of
a bug I just fixed.
Comment 3 Michael K. Johnson 1999-11-06 14:41:59 EST
Oh, and in the FWIW department, I agree.  Don't wipe/reinstall...
I've only upgraded and never reinstalled on both my home and work
Red Hat Linux machines, and the idea of reinstalling for no good
reason is painful.
Comment 4 Michael K. Johnson 1999-11-18 18:50:59 EST
Since I can't recreate this and haven't heard back, I'm closing this
bug report.  Re-open it if you find any more data that I can use to
diagnose this.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.